Update an incident impact field

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

PUT https://api.ap1.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id}https://api.ap2.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id}https://api.datadoghq.eu/api/v2/incidents/config/impact-fields/{field_id}https://api.ddog-gov.com/api/v2/incidents/config/impact-fields/{field_id}https://api.us2.ddog-gov.com/api/v2/incidents/config/impact-fields/{field_id}https://api.uk1.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id}https://api.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id}https://api.us3.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id}https://api.us5.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id}

Overview

Update an impact field for incidents. This endpoint requires the incident_settings_write permission.

OAuth apps require the incident_settings_write authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

field_id [required]

string

The UUID of the impact field.

Request

Body Data (required)

Impact field update payload.

Expand All

Field

Type

Description

data [required]

object

Impact field data in a create request.

attributes [required]

object

Attributes for creating an impact field.

display_name [required]

string

The display name of the impact field.

field_choices

[object]

The choices for dropdown or multiselect fields.

description

string

The description of the choice.

display_name [required]

string

The display name of the choice.

value [required]

string

The value of the choice.

field_type [required]

enum

The type of an impact field. Allowed enum values: dropdown,text,textarray,metrictag,number,datetime,multiselect

name [required]

string

The normalized name of the impact field (used as identifier).

tag_key

string

The tag key associated with the field (for metrictag type).

relationships [required]

object

Relationships for an impact field create request.

incident_type [required]

object

Relationship to an incident type.

data [required]

object

Relationship to incident type object.

id [required]

string

The incident type's ID.

type [required]

enum

Incident type resource type. Allowed enum values: incident_types

default: incident_types

type [required]

enum

Impact field resource type. Allowed enum values: impact_fields

{
  "data": {
    "attributes": {
      "display_name": "Customer Impact Scope",
      "field_choices": [
        {
          "description": "Affects all customers",
          "display_name": "Critical",
          "value": "critical"
        }
      ],
      "field_type": "dropdown",
      "name": "customer_impact_scope",
      "tag_key": "env"
    },
    "relationships": {
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      }
    },
    "type": "impact_fields"
  }
}

Response

OK

Response with a single impact field.

Expand All

Field

Type

Description

data [required]

object

Impact field data in a response.

attributes [required]

object

Attributes of an impact field in a response.

display_name [required]

string

The display name of the impact field.

field_choices

[object]

The choices for dropdown or multiselect fields.

description

string

The description of the choice.

display_name [required]

string

The display name of the choice.

value [required]

string

The value of the choice.

field_type [required]

enum

The type of an impact field. Allowed enum values: dropdown,text,textarray,metrictag,number,datetime,multiselect

name [required]

string

The normalized name of the impact field.

tag_key

string

The tag key associated with the field.

id [required]

uuid

The impact field identifier.

relationships

object

Relationships for an impact field.

created_by_user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

incident_type

object

Relationship to an incident type.

data [required]

object

Relationship to incident type object.

id [required]

string

The incident type's ID.

type [required]

enum

Incident type resource type. Allowed enum values: incident_types

default: incident_types

last_modified_by_user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

type [required]

enum

Impact field resource type. Allowed enum values: impact_fields

included

[object]

Included related resources.

attributes

object

Attributes of user object returned by the API.

email

string

Email of the user.

handle

string

Handle of the user.

icon

string

URL of the user's icon.

name

string

Name of the user.

uuid

string

UUID of the user.

id

string

ID of the user.

type

enum

Users resource type. Allowed enum values: users

default: users

{
  "data": {
    "attributes": {
      "display_name": "Customer Impact Scope",
      "field_choices": [
        {
          "description": "Affects all customers",
          "display_name": "Critical",
          "value": "critical"
        }
      ],
      "field_type": "dropdown",
      "name": "customer_impact_scope",
      "tag_key": "env"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "impact_fields"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Path parameters
export field_id="CHANGE_ME"
# Curl command
curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/impact-fields/${field_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "display_name": "Customer Impact Scope Updated", "field_type": "dropdown", "name": "customer_impact_scope" }, "relationships": { "incident_type": { "data": { "id": "00000000-0000-0000-0000-000000000000", "type": "incident_types" } } }, "type": "impact_fields" } } EOF